<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.property.mapper.AAssetManagementMapper">

    <resultMap id="BaseResultMap" type="com.zksy.property.domain.AAssetManagement">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="assetCode" column="asset_code" jdbcType="VARCHAR"/>
            <result property="assetName" column="asset_name" jdbcType="VARCHAR"/>
            <result property="assetType" column="asset_type" jdbcType="VARCHAR"/>
            <result property="assetStatus" column="asset_status" jdbcType="VARCHAR"/>
            <result property="building" column="building" jdbcType="VARCHAR"/>
            <result property="floor" column="floor" jdbcType="INTEGER"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,asset_code,asset_name,
        asset_type,building,
        floor,create_time,
        create_by,update_time,update_by
    </sql>
</mapper>
